Library Version 18.1.40

operator *
Prev | Chapter 19. Db_set_iterator | Next

## operator *

### Function Details

    reference operator *()

Dereference operator.

Return the reference to the cached data element, which is an ElementRef<T> object if T is a class type or an ElementHolder<T> object if T is a C++ primitive data type.

#### Return Value

Current data element reference object, i.e. ElementHolder or ElementRef object.

### Class

db_set_iterator

Prev | Up | Next
operator-- | Home | operator->